Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
response = client.dns.zones.check_delegation_status(
"name",
)
print(response.authoritative_name_servers)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.DNS.Zones.CheckDelegationStatus(context.TODO(), "name")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.AuthoritativeNameServers)
}curl --request GET \
--url https://api.gcore.com/dns/v2/analyze/{name}/delegation-status \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/dns/v2/analyze/{name}/delegation-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authoritative_name_servers": [
{
"ipv4Addresses": [
"<string>"
],
"ipv6Addresses": [
"<string>"
],
"name": "<string>"
}
],
"gcore_authorized_count": 123,
"is_whitelabel_delegation": true,
"non_gcore_authorized_count": 123,
"zone_exists": true
}This response has no body data.Analyze
Check Delegation Status
Returns delegation status for specified domain name. This endpoint has rate limit.
GET
/
dns
/
v2
/
analyze
/
{name}
/
delegation-status
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
response = client.dns.zones.check_delegation_status(
"name",
)
print(response.authoritative_name_servers)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.DNS.Zones.CheckDelegationStatus(context.TODO(), "name")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.AuthoritativeNameServers)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
zone name
Was this page helpful?
⌘I